Datenexporte auflisten
Gibt die letzten Datenexport-Anfragen deiner Organisation mit Status, Größe, Retention-Fenster und Ablaufdatum zurück.
GET /api/organization/data-export
Gibt die 20 jüngsten Export-Anfragen zurück, neueste zuerst. Poll diesen Endpunkt
(oder GET /api/organization/data-export/{exportId}), solange ein Export queued
oder generating ist.
Antwort (Response)
{
"exports": [
{
"id": "0f0f2f6a-2b3b-4a2f-9a7c-3e5f8c1d2b44",
"status": "ready",
"format": "json_csv",
"includeCheckHistory": true,
"recipientEmails": ["admin@deineagentur.com"],
"sizeBytes": 18446721,
"retentionCutoff": "2025-03-30T09:12:44.101Z",
"expiresAt": "2026-08-06T09:19:02.884Z",
"downloadCount": 1,
"lastDownloadedAt": "2026-07-30T10:02:11.900Z",
"errorMessage": null,
"manifest": {
"generatedAt": "2026-07-30T09:12:52.006Z",
"retentionCutoff": "2025-03-30T09:12:44.101Z",
"includeCheckHistory": true,
"packages": [
{
"packageType": "fullservice",
"displayName": "Full Service",
"dataRetentionMonths": 16,
"cutoff": "2025-03-30T09:12:44.101Z"
}
],
"sections": [
{ "path": "customers/customers", "rows": 42 },
{ "path": "monitors/websites", "rows": 311 },
{ "path": "checks/website-checks", "rows": 100000, "truncated": true }
],
"redactedFields": ["passwords and passphrases", "webhook secrets and signing keys"]
},
"createdAt": "2026-07-30T09:12:44.101Z",
"startedAt": "2026-07-30T09:12:45.010Z",
"completedAt": "2026-07-30T09:19:02.884Z"
}
],
"cooldownHours": 6
}Status-Werte
| Status | Bedeutung |
|---|---|
queued | Angenommen, wartet auf den Builder |
generating | Das Bundle wird gebaut |
ready | Herunterladbar bis expiresAt |
failed | Bau fehlgeschlagen; errorMessage nennt den Grund |
expired | Download-Fenster geschlossen, Datei gelöscht |
Einzelner Export
GET /api/organization/data-export/{exportId} liefert einen Export im gleichen
Format (ohne die exports-Hülle).
Abgelöstes Feld: error wird bis zum Entfall am 18.01.2027 weiter neben errorMessage geliefert. Lies errorMessage.
Häufige Fehler
400 User must belong to an organizationwenn aus Session oder Token keine Organisation abgeleitet werden kann400 Invalid Export identifierwenn{exportId}nicht die Form einer UUID hat401 Unauthorizedwenn du nicht authentifiziert bist403 Forbiddenwenn du die Organisation nicht lesen darfst404 Export not foundwenn die ID nicht zu deiner Organisation gehört